Bug 208845

Summary: graphics/inventor: Fix build with libc++ 3.8.0
Product: Ports & Packages Reporter: Dimitry Andric <dim>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Some People CC: c47g, pi
Priority: --- Flags: pi: maintainer-feedback-
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 208158    
Attachments:
Description Flags
Rename abs functions to avoid conflicts in graphics/inventor none

Description Dimitry Andric freebsd_committer 2016-04-16 21:28:24 UTC
Created attachment 169382 [details]
Rename abs functions to avoid conflicts in graphics/inventor

During the exp-run in bug 208158, it was found that graphics/inventor gives errors with libc++ 3.8.0 [1]:

In file included from nurbsClient.c++:64:
./softsurfeval.c++:53:13: error: 'abs' is missing exception specification 'throw()'
inline REAL abs( REAL x ) { return (x < 0.0) ? -x : x; }
            ^
                          throw()

This is because inventor attempts to define its own incompatible version of abs().  Fix it by renaming the inventor-internal version to absr().

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/inventor-2.1.5.p10_12.log
Comment 1 Kurt Jaeger freebsd_committer 2016-04-30 04:30:59 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-04-30 04:32:00 UTC
A commit references this bug:

Author: pi
Date: Sat Apr 30 04:30:59 UTC 2016
New revision: 414327
URL: https://svnweb.freebsd.org/changeset/ports/414327

Log:
  graphics/inventor: Fix build with libc++ 3.8.0

  PR:		208845
  Submitted by:	dim
  Approved by:	c47g@gmx.at (maintainer timeout)

Changes:
  head/graphics/inventor/files/patch-arc.c++
  head/graphics/inventor/files/patch-arctess.c++
  head/graphics/inventor/files/patch-ccw.c++
  head/graphics/inventor/files/patch-simplemath.h
  head/graphics/inventor/files/patch-softsurfeval.c++